<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qmth.teachcloud.common.mapper.BasicVerifyCodeMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.qmth.teachcloud.common.entity.BasicVerifyCode">
    <result column="id" property="id" />
        <result column="user_id" property="userId" />
        <result column="mobile_number" property="mobileNumber" />
        <result column="expire_time" property="expireTime" />
        <result column="valid_period" property="validPeriod" />
        <result column="verify_code" property="verifyCode" />
        <result column="create_id" property="createId" />
        <result column="create_time" property="createTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id,
        user_id, mobile_number, expire_time, valid_period, verify_code, create_id, create_time
    </sql>

</mapper>
